# spec file for segatex (Version7.72)
# Author Shintaro Fujiwara

Summary: SELinux policy analizing
Name: segatex 
Version: 7.72
Release:1
License: GPL
Group: Applications/Security
URL: http://sourceforge.net/projects/segatex/
Source: segatex-%{version}.tgz
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gcc-c++, qt-devel >= 4.4.3

%description
segatex is a program even if not knowing much about
SELinux commands, can easily set SELinux commands by GUI.
Written in C++.
Requires Qt(qt-devel).
Requires C++.

%prep

%setup -q

%build
cd %{_builddir}/%{name}-%{version}/src
qmake-qt4 -o Makefile segatex.pro
make SUBLIBS='-lselinux'

cd %{_builddir}/%{name}-%{version}/src/alert
qmake-qt4 -o Makefile segatex_alert.pro

cd %{_builddir}/%{name}-%{version}/src/alert_check
cc -o etc_shadow_check etc_shadow_check.c

%install
rm -rf $RPM_BUILD_ROOT/root/segatex
%{__mkdir} -p $RPM_BUILD_ROOT/root/segatex
%{__mkdir} -p $RPM_BUILD_ROOT/root/segatex/{policy,refpolicy,images,semanage,aureport,ausearch}
%{__mkdir} -p $RPM_BUILD_ROOT/root/segatex/raw_te_files/{admin,apps,kernel,roles,services,system}
%{__mkdir} -p $RPM_BUILD_ROOT/root/segatex/raw_if_files/{admin,apps,kernel,roles,services,system}
%{__mkdir} -p $RPM_BUILD_ROOT/usr/{bin,sbin}
%{__mkdir} -p $RPM_BUILD_ROOT/etc/pam.d
%{__mkdir} -p $RPM_BUILD_ROOT/etc/rc.d/init.d
%{__mkdir} -p $RPM_BUILD_ROOT/etc/xdg/autostart
%{__mkdir} -p $RPM_BUILD_ROOT/etc/security/console.apps
%{__mkdir} -p $RPM_BUILD_ROOT/usr/share/{applications,pixmaps}
#%{__mkdir} -p $RPM_BUILD_ROOT/etc/xdg/autostart

%{__install} %{_builddir}/%{name}-%{version}/src/segatex \
$RPM_BUILD_ROOT/usr/sbin/%{name}
%{__ln_s} /usr/bin/consolehelper \
$RPM_BUILD_ROOT/usr/bin/%{name}
%{__install} -m 644 %{_builddir}/%{name}-%{version}/segatex_for_consolehelper \
$RPM_BUILD_ROOT/etc/pam.d/%{name}
%{__install} -m 644 %{_builddir}/%{name}-%{version}/segatex-gui \
$RPM_BUILD_ROOT/etc/security/console.apps/%{name}
%{__install} -m 644 %{_builddir}/%{name}-%{version}/segatex-gui.desktop \
$RPM_BUILD_ROOT/usr/share/applications/segatex-gui.desktop
%{__install} -m 644 %{_builddir}/%{name}-%{version}/src/images/icon.png \
$RPM_BUILD_ROOT/usr/share/pixmaps/segatex-gui.png

#%{__install} -m 644 %{_builddir}/%{name}-%{version}/segatexauto.desktop \
#$RPM_BUILD_ROOT/etc/xdg/autostart/segatexauto.desktop

cp -R %{_builddir}/%{name}-%{version}/refpolicy/* \
$RPM_BUILD_ROOT/root/%{name}/refpolicy
cp %{_builddir}/%{name}-%{version}/refpolicy/policy/modules/admin/*te \
$RPM_BUILD_ROOT/root/%{name}/raw_te_files/admin/
cp %{_builddir}/%{name}-%{version}/refpolicy/policy/modules/apps/*te \
$RPM_BUILD_ROOT/root/%{name}/raw_te_files/apps/
cp %{_builddir}/%{name}-%{version}/refpolicy/policy/modules/kernel/*te \
$RPM_BUILD_ROOT/root/%{name}/raw_te_files/kernel/
cp %{_builddir}/%{name}-%{version}/refpolicy/policy/modules/roles/*te \
$RPM_BUILD_ROOT/root/%{name}/raw_te_files/roles/
cp %{_builddir}/%{name}-%{version}/refpolicy/policy/modules/services/*te \
$RPM_BUILD_ROOT/root/%{name}/raw_te_files/services/
cp %{_builddir}/%{name}-%{version}/refpolicy/policy/modules/system/*te \
$RPM_BUILD_ROOT/root/%{name}/raw_te_files/system/
cp %{_builddir}/%{name}-%{version}/refpolicy/policy/modules/admin/*if \
$RPM_BUILD_ROOT/root/%{name}/raw_if_files/admin/
cp %{_builddir}/%{name}-%{version}/refpolicy/policy/modules/apps/*if \
$RPM_BUILD_ROOT/root/%{name}/raw_if_files/apps/
cp %{_builddir}/%{name}-%{version}/refpolicy/policy/modules/kernel/*if \
$RPM_BUILD_ROOT/root/%{name}/raw_if_files/kernel/
cp %{_builddir}/%{name}-%{version}/refpolicy/policy/modules/roles/*if \
$RPM_BUILD_ROOT/root/%{name}/raw_if_files/roles/
cp %{_builddir}/%{name}-%{version}/refpolicy/policy/modules/services/*if \
$RPM_BUILD_ROOT/root/%{name}/raw_if_files/services/
cp %{_builddir}/%{name}-%{version}/refpolicy/policy/modules/system/*if \
$RPM_BUILD_ROOT/root/%{name}/raw_if_files/system/
chmod 700 $RPM_BUILD_ROOT/root/%{name}/refpolicy
cp -R %{_builddir}/%{name}-%{version}/policy/* \
$RPM_BUILD_ROOT/root/%{name}/policy
chmod 700 $RPM_BUILD_ROOT/root/%{name}/policy
%{__install} -m 700 %{_builddir}/%{name}-%{version}/policy/* \
$RPM_BUILD_ROOT/root/%{name}/
cp -R %{_builddir}/%{name}-%{version}/src/images/* \
$RPM_BUILD_ROOT/root/%{name}/images
chmod 700 $RPM_BUILD_ROOT/root/%{name}/images
chmod 700 $RPM_BUILD_ROOT/root/%{name}/semanage
chmod 700 $RPM_BUILD_ROOT/root/%{name}/aureport
%{__install} -m 644 %{_builddir}/%{name}-%{version}/selpaw_interface.csv \
$RPM_BUILD_ROOT/root/%{name}/
%{__install} -m 755 %{_builddir}/%{name}-%{version}/breakte.sh \
$RPM_BUILD_ROOT/root/%{name}/raw_te_files
%{__install} -m 644 %{_builddir}/%{name}-%{version}/all.if all.spt allif.txt allspt.txt \
$RPM_BUILD_ROOT/root/%{name}/raw_te_files
%{__install} -m 755 %{_builddir}/%{name}-%{version}/breakif.sh \
$RPM_BUILD_ROOT/root/%{name}/raw_if_files
%{__install} -m 644 %{_builddir}/%{name}-%{version}/allif_exclude_myself.txt start_file all.spt allif.txt allspt.txt \
$RPM_BUILD_ROOT/root/%{name}/raw_if_files
%{__install} -m 644 %{_builddir}/%{name}-%{version}/splash.png \
$RPM_BUILD_ROOT/root/%{name}/
%{__install} -m 644 %{_builddir}/%{name}-%{version}/CONTRIBUTORS \
$RPM_BUILD_ROOT/root/%{name}/
%{__install} -m 644 %{_builddir}/%{name}-%{version}/HISTORY \
$RPM_BUILD_ROOT/root/%{name}/
%{__install} -m 644 %{_builddir}/%{name}-%{version}/README \
$RPM_BUILD_ROOT/root/%{name}/
%{__install} -m 644 %{_builddir}/%{name}-%{version}/README_jp \
$RPM_BUILD_ROOT/root/%{name}/
%{__install} -m 644 %{_builddir}/%{name}-%{version}/sqlrefpolicy.db \
$RPM_BUILD_ROOT/root/%{name}/
%{__install} -m 700 %{_builddir}/%{name}-%{version}/policygeneration_script \
$RPM_BUILD_ROOT/root/%{name}/
%{__install} -m 644 %{_builddir}/%{name}-%{version}/src/segatex_ja_JP.qm \
$RPM_BUILD_ROOT/root/%{name}/
%{__install} -m 755 %{_builddir}/%{name}-%{version}/downloader/downloader \
$RPM_BUILD_ROOT/root/%{name}/downloader_program
%{__install} -m 755 %{_builddir}/%{name}-%{version}/src/alert/segatex_alert \
$RPM_BUILD_ROOT/usr/sbin/segatex_alert
%{__install} -m 755 %{_builddir}/%{name}-%{version}/src/alert_check/etc_shadow_check \
$RPM_BUILD_ROOT/usr/sbin/etc_shadow_check
%{__install} -m 755 %{_builddir}/%{name}-%{version}/etc_shadow_check_script \
$RPM_BUILD_ROOT/etc/rc.d/init.d/etc_shadow_check_script
%{__install} -m 644 %{_builddir}/%{name}-%{version}/etc_shadow_check_script_auto.desktop \
$RPM_BUILD_ROOT/etc/xdg/autostart/etc_shadow_check_script_auto.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/bin/segatex
/usr/sbin/segatex
/etc/pam.d/segatex
/etc/security/console.apps/segatex
/usr/share/applications/segatex-gui.desktop
/usr/share/pixmaps/segatex-gui.png
#/etc/xdg/autostart/segatexauto.desktop
/root/segatex/*
/usr/sbin/segatex_alert
/usr/sbin/etc_shadow_check
/etc/rc.d/init.d/etc_shadow_check_script
/etc/xdg/autostart/etc_shadow_check_script_auto.desktop

